package pl.otros.logview;

import java.io.Serializable;
import java.util.Date;
import java.util.logging.Level;

public class LogData implements Serializable {

    private Date date = new Date();
    private Level level = Level.INFO;
    private String messageId = "";
    private String clazz = "";
    private String method = "";
    private String thread = "";
    private String loggerName = "";
    private String message = "";
    private int id;

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public Level getLevel() {
        return level;
    }

    public void setLevel(Level level) {
        this.level = level;
    }

    public String getMessageId() {
        return messageId;
    }

    public void setMessageId(String messageId) {
        this.messageId = messageId;
    }

    public String getClazz() {
        return clazz;
    }

    public void setClazz(String clazz) {
        this.clazz = clazz;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public String getThread() {
        return thread;
    }

    public void setThread(String thread) {
        this.thread = thread;
    }

    public String getLoggerName() {
        return loggerName;
    }

    public void setLoggerName(String loggerName) {
        this.loggerName = loggerName;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(this.getClass());
        sb.append(", Date: ");
        sb.append(getDate());
        sb.append(", Level: ");
        sb.append(level);
        sb.append(", Message: ");
        sb.append(message);
        sb.append(", class: ");
        sb.append(clazz);
        sb.append(", method: ");
        sb.append(method);

        return sb.toString();
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

}
