package pl.otros.logview.filter;

import java.awt.Component;
import java.util.Properties;

import pl.otros.logview.LogData;
import pl.otros.logview.LogDataCollector;

public interface LogFilter {

    public String getName();

    public void init(Properties properties, LogDataCollector collector);

    public boolean accept(LogData logData, int row, boolean marked);

    public void setEnable(boolean enable);

    public boolean isEnable();

    public Component getGUI();

    public void setValueChangeListener(LogFilterValueChangeListener listener);

}
