package pl.otros.logview.gui.actions;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JInternalFrame;

import pl.otros.logview.gui.FrameManger;


public class MaximizeAllWindowsActionListener implements ActionListener {

    private FrameManger frameManger;

    public MaximizeAllWindowsActionListener(FrameManger frameManger) {
        super();
        this.frameManger = frameManger;
    }

    public MaximizeAllWindowsActionListener() {

    }

    @Override
    public void actionPerformed(ActionEvent e) {
        if (frameManger != null) {
            JInternalFrame[] frames = frameManger.getDesktopPane().getAllFrames();
            for (int i = 0; i < frames.length; i++) {
                frames[i].setMaximizable(true);
                frames[i].getDesktopPane().getDesktopManager().maximizeFrame(frames[i]);

            }
        }

    }

    public FrameManger getFrameManger() {
        return frameManger;
    }

    public void setFrameManger(FrameManger frameManger) {
        this.frameManger = frameManger;
    }

}
