package pl.otros.logview.gui.actions;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.Point;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JDialog;
import javax.swing.JFrame;

import pl.otros.logview.gui.markers.editor.StringRegexMarkerEditor;

public class ShowStringRegexMarkerEditorActionListener implements ActionListener {

    
    private JFrame parent;
    public ShowStringRegexMarkerEditorActionListener(JFrame parent) {
        super();
        this.parent = parent;
    }
    @Override
    public void actionPerformed(ActionEvent arg0) {
        
        JDialog dialog = new JDialog(parent,true);
        dialog.setTitle("String and Regex marker editor");
        dialog.getContentPane().setLayout(new BorderLayout());
        dialog.getContentPane().add(new StringRegexMarkerEditor());
        dialog.pack();
        int x=0;
        int y=0;
        Dimension parentDimension = parent.getSize();
        Point parentLocation = parent.getLocation();
        
        x = parentLocation.x + parentDimension.width/2 - dialog.getWidth()/2;
        y = parentLocation.y + parentDimension.height/2 - dialog.getWidth()/2;
        dialog.setLocation(x, y);
        dialog.setResizable(false);
        dialog.setVisible(true);

    }

}
