package pl.otros.logview.importer;

import java.io.InputStream;
import java.util.Properties;

import javax.swing.Icon;

import pl.otros.logview.LogDataCollector;


public interface LogImporter {

    public final String PARSER_CLASS = "parser.class";

    public final String PARSER_DISPLAYABLE_NAME = "parser.displayableName";
    public final String PARSER_MNEMONIC = "parser.mnemonic";
    public final String PARSER_KEY_STROKE_ACCELELATOR = "parser.keyStrokeAccelelator";
    public final String PARSER_ICON = "parser.icon";

    public void init(Properties properties) throws InitializationException;

    public void importLogs(InputStream in, LogDataCollector dataTableModel, boolean addAllDataOnFinish);

    public String getDisplayableName();

    public String getKeyStrokeAccelelator();

    public int getMnemonic();

    public Icon getIcon();
}
