package pl.otros.logview.loader;

import java.util.ArrayList;
import java.util.Collection;

import pl.otros.logview.filter.ClassFilter;
import pl.otros.logview.filter.LevelFilter;
import pl.otros.logview.filter.LogFilter;
import pl.otros.logview.filter.MarkFilter;
import pl.otros.logview.filter.ThreadFilter;
import pl.otros.logview.filter.TimeFilter;


public class LogFiltersLoader {

    public static Collection<LogFilter> loadInternalFilters() {
        ArrayList<LogFilter> list = new ArrayList<LogFilter>();
        list.add(new LevelFilter());
        list.add(new TimeFilter());
        list.add(new MarkFilter());
        list.add(new ThreadFilter());
        list.add(new ClassFilter());
        return list;

    }

}
