package pl.otros.logview.uml;

import java.awt.Color;
import java.awt.Shape;

public class ShapeWithColor {
    private Color color;
    private Shape shape;
    private boolean fill = false;

    public ShapeWithColor(Color color, Shape shape) {
        this(color, shape, false);
    }

    public ShapeWithColor(Color color, Shape shape, boolean fill) {
        super();
        this.color = color;
        this.shape = shape;
        this.fill = fill;
    }

    public Color getColor() {
        return color;
    }

    public void setColor(Color color) {
        this.color = color;
    }

    public Shape getShape() {
        return shape;
    }

    public void setShape(Shape shape) {
        this.shape = shape;
    }

    public boolean isFill() {
        return fill;
    }

    public void setFill(boolean fill) {
        this.fill = fill;
    }

}
