package pl.otros.logview.filter;

import java.awt.Component;
import java.util.Properties;

import javax.swing.JLabel;

import pl.otros.logview.LogData;
import pl.otros.logview.LogDataCollector;


public class MarkFilter implements LogFilter {

    private static final String NAME = "Marked Filter";
    private JLabel gui = new JLabel("No configuration");
    private boolean enable = false;
    private LogFilterValueChangeListener listener;

    @Override
    public boolean accept(LogData logData, int row, boolean marked) {
        return marked;
    }

    @Override
    public Component getGUI() {
        return gui;
    }

    @Override
    public String getName() {
        return NAME;
    }

    @Override
    public void init(Properties properties, LogDataCollector collector) {

    }

    @Override
    public boolean isEnable() {
        return enable;
    }

    @Override
    public void setEnable(boolean enable) {
        this.enable = enable;

    }

    @Override
    public void setValueChangeListener(LogFilterValueChangeListener listener) {
        this.listener = listener;
    }

}
