package pl.otros.logview.filter.clazz;

public class ClassMethod {
    
    public String pack = "";
    public String clazz = "";
    public String method = "";
    
    public ClassMethod(String clazz2, String method2) {
        this.method = method2;
        if (clazz2.contains(".")){
            int idx = clazz2.lastIndexOf('.');
            pack = clazz2.substring(0,idx);
            clazz = clazz2.substring(idx+1);
        } else {
            pack = "";
            clazz = clazz2;
        }
    }
    public String getPack() {
        return pack;
    }
    public void setPack(String pack) {
        this.pack = pack;
    }
    public String getClazz() {
        return clazz;
    }
    public void setClazz(String clazz) {
        this.clazz = clazz;
    }
    public String getMethod() {
        return method;
    }
    public void setMethod(String method) {
        this.method = method;
    }
    
    public boolean equals(String clazz, String method){
        
        if (this.method != null && this.pack != null){
            return clazz.equals(this.pack + "." + this.clazz) && this.method.equals(method);
        }
        //TODO reszta przypadkow
        
        return this.clazz.equals(clazz) && this.pack.equals(pack) && this.method.equals(method);
    }
    
    
    
    public String toString(){
        if (method != null) {
            return method;
        } else if (clazz != null){
            return clazz;
        }
        return "?";
    }
    
    @Override
    public boolean equals(Object obj) {
        if (obj instanceof ClassMethod) {
            ClassMethod cl = (ClassMethod) obj;
        
            return this.clazz.equals(cl.clazz) && this.pack.equals(cl.pack) && this.method.equals(cl.method);
        }
        
        return super.equals(obj);
    }
    @Override
    public int hashCode() {
        return super.hashCode();
    }
}
