package pl.otros.logview.gui.actions;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JInternalFrame;

import pl.otros.logview.gui.FrameManger;


public class CloseAllWindowsActionListener implements ActionListener {

    private FrameManger frameManger;

    public CloseAllWindowsActionListener() {
    }

    public CloseAllWindowsActionListener(FrameManger frameManger) {
        super();
        this.frameManger = frameManger;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        if (frameManger != null) {
            JInternalFrame[] frames = frameManger.getDesktopPane().getAllFrames();
            for (int i = 0; i < frames.length; i++) {
                frames[i].setVisible(false);
                frames[i].dispose();
            }
        }

    }

    public FrameManger getFrameManger() {
        return frameManger;
    }

    public void setFrameManger(FrameManger frameManger) {
        this.frameManger = frameManger;
    }

}
