package pl.otros.logview.gui.actions;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JTable;

public class TableResizeActionListener implements ActionListener {

    private JTable table;
    private int autoResizeMode;

    public TableResizeActionListener() {

    }

    public TableResizeActionListener(JTable table, int autoResizeMode) {
        super();
        this.table = table;
        this.autoResizeMode = autoResizeMode;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        if (table != null) {
            table.setAutoResizeMode(autoResizeMode);
        }

    }

    public JTable getTable() {
        return table;
    }

    public void setTable(JTable table) {
        this.table = table;
    }

    public int getAutoResizeMode() {
        return autoResizeMode;
    }

    public void setAutoResizeMode(int autoResizeMode) {
        this.autoResizeMode = autoResizeMode;
    }

}
