package pl.otros.logview.reader;

import java.util.LinkedList;

import pl.otros.logview.LogData;
import pl.otros.logview.LogDataCollector;


public class ProxyLogDataCollector implements LogDataCollector {

    private LinkedList<LogData> list;

    public ProxyLogDataCollector() {
        list = new LinkedList<LogData>();
    }

    public void add(LogData[] logDatas) {
        for (int i = 0; i < logDatas.length; i++) {
            list.addLast(logDatas[i]);
        }

    }

    public void add(LogData logData) {
        list.add(logData);

    }

    public LogData[] getLogData() {
        LogData[] datas = new LogData[list.size()];
        datas = list.toArray(datas);
        return datas;
    }

    @Override
    public LogData getFirst() {
        return list.getFirst();
    }

    @Override
    public LogData getLast() {
        return list.getLast();
    }

}
